The queuing priority mapping to DSCP value.
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.10.75.3.26.4.1.2
The queuing priority mapping to DSCP value.
Identification
{1 3 6 1 4 1 171 10 75 3 26 4 1 2}
| Value | Name |
|---|---|
| 1 | low |
| 2 | middle |
| 3 | high |
| 4 | highest |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In DES-1228P-MIB, the row index dscpIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.171.10.75.3.26.4.1.2.<dscpIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.171.10.75.3.26.4.1.2
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
dscpPriority OBJECT-TYPE
SYNTAX INTEGER {
low(1),
middle(2),
high(3),
highest(4)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The queuing priority mapping to DSCP value."
::= { dscpEntry 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The queuing priority mapping to DSCP value.
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: dscpPriority
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"dscpPriority",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"low",
"(",
"1",
")",
",",
"middle",
"(",
"2",
")",
",",
"high",
"(",
"3",
")",
",",
"highest",
"(",
"4",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The queuing priority mapping to DSCP value.\"",
"::=",
"{",
"dscpEntry",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"low",
1
],
[
"middle",
2
],
[
"high",
3
],
[
"highest",
4
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The queuing priority mapping to DSCP value."
],
null,
null,
null,
null
]
}Module: DES-1228P-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES-1228P-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'SNMPv2-SMI': ['Unsigned32'], 'RFC1155-SMI': ['enterprises', 'Counter', 'TimeTicks', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString', 'PhysAddress']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.10.75.3.26.4.1.1 | dscpIndex | 0 | 0 |